import { AbstractProvider } from '@pokt-foundation/pocketjs-abstract-provider';
import { TransactionResponse } from '@pokt-foundation/pocketjs-types';
export interface TransactionRequest {
}
/**
* An abstract signer describes a to-be-implemented signer.
* Useful for creating custom signers, if ever needed.
* */
export declare abstract class AbstractSigner {
    readonly provider?: AbstractProvider;
    readonly _isSigner: boolean;
    constructor();
    abstract getAddress(): Promise<string>;
    abstract getBalance(address: string | Promise<string>): Promise<bigint>;
    abstract getTransactionCount(address: string | Promise<string>): Promise<number>;
    abstract sendTransaction(signedTransaction: string | Promise<string>): Promise<TransactionResponse>;
    abstract sign(payload: string): Promise<string>;
    abstract signTransaction(transaction: TransactionRequest): Promise<string>;
}
//# sourceMappingURL=abstract-signer.d.ts.map